Bug 182793 - [JSC] Remove monotonicallyIncreasingTime and currentTime
Summary: [JSC] Remove monotonicallyIncreasingTime and currentTime
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yusuke Suzuki
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-02-14 07:38 PST by Yusuke Suzuki
Modified: 2018-02-17 23:28 PST (History)
12 users (show)

See Also:


Attachments
Patch (33.62 KB, patch)
2018-02-14 07:39 PST, Yusuke Suzuki
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yusuke Suzuki 2018-02-14 07:38:25 PST
[JSC] Remove monotonicallyIncreasingTime and currentTime
Comment 1 Yusuke Suzuki 2018-02-14 07:39:56 PST
Created attachment 333798 [details]
Patch
Comment 2 Yusuke Suzuki 2018-02-14 07:46:09 PST
Comment on attachment 333798 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=333798&action=review

> Source/JavaScriptCore/heap/Heap.cpp:1018
> +        dataLog("=> ", capacity() / 1024, "kb, ", (after - before).milliseconds(), "ms");

Use MonotonicTime for measuring duration for logging.
Comment 3 Saam Barati 2018-02-15 08:34:16 PST
Comment on attachment 333798 [details]
Patch

r=me
Comment 4 Yusuke Suzuki 2018-02-15 14:10:46 PST
Comment on attachment 333798 [details]
Patch

Thank you!
Comment 5 WebKit Commit Bot 2018-02-15 14:34:22 PST
Comment on attachment 333798 [details]
Patch

Clearing flags on attachment: 333798

Committed r228533: <https://trac.webkit.org/changeset/228533>
Comment 6 WebKit Commit Bot 2018-02-15 14:34:23 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2018-02-15 14:35:29 PST
<rdar://problem/37584287>
Comment 8 BJ Burg 2018-02-15 15:33:40 PST
Nice!
Comment 9 Yusuke Suzuki 2018-02-17 23:28:17 PST
(In reply to Brian Burg from comment #8)
> Nice!

Yay ;)